Difference between revisions of "QML2 GUI"

From Navit's Wiki
Jump to: navigation, search
m
m (Updated image link)
Line 12: Line 12:
 
We have a prebuilt image for raspberry pi 2/3. This is a preview and will require more work, but feedback is welcome.
 
We have a prebuilt image for raspberry pi 2/3. This is a preview and will require more work, but feedback is welcome.
  
* download here : https://cloud.kazer.org/index.php/s/C6AGX70HSlOCAjv
+
* download here : https://cloud.kazer.org/index.php/s/QkSgrHoARq2BZC8
 
* flash to your card : dd if=rpi3-sdcard.img of=/dev/<device>
 
* flash to your card : dd if=rpi3-sdcard.img of=/dev/<device>
 
* log in as root, no password required
 
* log in as root, no password required

Revision as of 22:16, 27 October 2017

The QML2 UI is a new UI being currently developed to provide a more modern look and feel to Navit.

Tablet / PC Mobile UI
Qml2.gif Gui qml drawer popup.gif

Prebuilt image

We have a prebuilt image for raspberry pi 2/3. This is a preview and will require more work, but feedback is welcome.

Tweaks (default config file is in /usr/share/navit/navit/xml) :

  • you might want to tweak the default zoom setting (256 -> 32)
  • you can disable the qt5_qml GUI and switch back to internal, it'll still use EGL


Prerequisites

The QML2 UI is currently developed against QT 5.7

The easiest way to install QT 5.7 (or greater) is probably to use the QT online installer.

For linux, https://download.qt.io/archive/online_installers/2.0/qt-unified-linux-x64-2.0.5-2-online.run.mirrorlist

For other platforms, https://download.qt.io/archive/online_installers/2.0/

Enabling the QML2 ui

Once you compiled Navit, you can enable the QML2 ui from navit.xml.

  • Change your graphics driver to qt5 :
<graphics type="qt5"/>
  • Enable the QML2 UI :
<gui type="qt5_qml" enabled="yes" />
  • Disable the internal UI :
<gui type="internal" enabled="no">